# Generated from logn-mongoid-enum-1.3.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logn-mongoid-enum

Name: rubygem-%{gem_name}
Version: 1.3.4
Release: 1%{?dist}
Summary: Heavily inspired by DDH's ActiveRecord::Enum, this little library is there to help you cut down the cruft in your models and make the world a happier place at the same time
License: MIT
URL: https://github.com/kennethrosales/logn-mongoid-enum
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard-rspec) >= 4.6.2
# BuildRequires: rubygem(guard-rspec) < 4.7
# BuildRequires: rubygem(mongoid-rspec) >= 3.0
# BuildRequires: rubygem(mongoid-rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Sweet enum sugar for your Mongoid documents.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/logn-mongoid-enum.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.3.4-1
- Initial package
